org.apache.uima.cas.impl

## Enum BinaryCasSerDes4.SlotKind

- java.lang.Object
- - java.lang.Enum<BinaryCasSerDes4.SlotKind>
  - - org.apache.uima.cas.impl.BinaryCasSerDes4.SlotKind

- All Implemented Interfaces:
    Serializable, Comparable<BinaryCasSerDes4.SlotKind>
  Enclosing class:
    BinaryCasSerDes4

      public static enum BinaryCasSerDes4.SlotKind
      extends Enum<BinaryCasSerDes4.SlotKind>

  Define all the slot kinds.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Slot_ArrayLength`
    `Slot_Boolean`
    `Slot_BooleanRef`
    `Slot_Byte`
    `Slot_ByteRef`
    `Slot_Control`
    `Slot_Double_Exponent`
    `Slot_Double_Mantissa_Sign`
    `Slot_DoubleRef`
    `Slot_Float`
    `Slot_Float_Exponent`
    `Slot_Float_Mantissa_Sign`
    `Slot_FsIndexes`
    `Slot_HeapRef`
    `Slot_Int`
    `Slot_Long_High`
    `Slot_Long_Low`
    `Slot_LongRef`
    `Slot_MainHeap`
    `Slot_Short`
    `Slot_ShortRef`
    `Slot_StrChars`
    `Slot_StrLength`
    `Slot_StrOffset`
    `Slot_StrRef`
    `Slot_StrSeg`
    `Slot_TypeCode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `canBeNegative`
    `int` | `elementSize`
    `int` | `i`
    `boolean` | `inMainHeap`
    `boolean` | `isDiffEncode`
    `static int` | `NBR_SLOT_KIND_ZIP_STREAMS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BinaryCasSerDes4.SlotKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BinaryCasSerDes4.SlotKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Slot_ArrayLength

          public static final BinaryCasSerDes4.SlotKind Slot_ArrayLength

    - #### Slot_HeapRef

          public static final BinaryCasSerDes4.SlotKind Slot_HeapRef

    - #### Slot_Int

          public static final BinaryCasSerDes4.SlotKind Slot_Int

    - #### Slot_Byte

          public static final BinaryCasSerDes4.SlotKind Slot_Byte

    - #### Slot_Short

          public static final BinaryCasSerDes4.SlotKind Slot_Short

    - #### Slot_TypeCode

          public static final BinaryCasSerDes4.SlotKind Slot_TypeCode

    - #### Slot_StrOffset

          public static final BinaryCasSerDes4.SlotKind Slot_StrOffset

    - #### Slot_StrLength

          public static final BinaryCasSerDes4.SlotKind Slot_StrLength

    - #### Slot_Long_High

          public static final BinaryCasSerDes4.SlotKind Slot_Long_High

    - #### Slot_Long_Low

          public static final BinaryCasSerDes4.SlotKind Slot_Long_Low

    - #### Slot_Float_Mantissa_Sign

          public static final BinaryCasSerDes4.SlotKind Slot_Float_Mantissa_Sign

    - #### Slot_Float_Exponent

          public static final BinaryCasSerDes4.SlotKind Slot_Float_Exponent

    - #### Slot_Double_Mantissa_Sign

          public static final BinaryCasSerDes4.SlotKind Slot_Double_Mantissa_Sign

    - #### Slot_Double_Exponent

          public static final BinaryCasSerDes4.SlotKind Slot_Double_Exponent

    - #### Slot_FsIndexes

          public static final BinaryCasSerDes4.SlotKind Slot_FsIndexes

    - #### Slot_StrChars

          public static final BinaryCasSerDes4.SlotKind Slot_StrChars

    - #### Slot_Control

          public static final BinaryCasSerDes4.SlotKind Slot_Control

    - #### Slot_StrSeg

          public static final BinaryCasSerDes4.SlotKind Slot_StrSeg

    - #### Slot_StrRef

          public static final BinaryCasSerDes4.SlotKind Slot_StrRef

    - #### Slot_BooleanRef

          public static final BinaryCasSerDes4.SlotKind Slot_BooleanRef

    - #### Slot_ByteRef

          public static final BinaryCasSerDes4.SlotKind Slot_ByteRef

    - #### Slot_ShortRef

          public static final BinaryCasSerDes4.SlotKind Slot_ShortRef

    - #### Slot_LongRef

          public static final BinaryCasSerDes4.SlotKind Slot_LongRef

    - #### Slot_DoubleRef

          public static final BinaryCasSerDes4.SlotKind Slot_DoubleRef

    - #### Slot_Float

          public static final BinaryCasSerDes4.SlotKind Slot_Float

    - #### Slot_Boolean

          public static final BinaryCasSerDes4.SlotKind Slot_Boolean

    - #### Slot_MainHeap

          public static final BinaryCasSerDes4.SlotKind Slot_MainHeap

  - ### Field Detail

    - #### i

          public final int i

    - #### isDiffEncode

          public final boolean isDiffEncode

    - #### canBeNegative

          public final boolean canBeNegative

    - #### inMainHeap

          public final boolean inMainHeap

    - #### elementSize

          public final int elementSize

    - #### NBR_SLOT_KIND_ZIP_STREAMS

          public static final int NBR_SLOT_KIND_ZIP_STREAMS

  - ### Method Detail

    - #### values

          public static BinaryCasSerDes4.SlotKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BinaryCasSerDes4.SlotKind c : BinaryCasSerDes4.SlotKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BinaryCasSerDes4.SlotKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.